# SPDX-FileCopyrightText: 2023 Simon Bruder <simon@sbruder.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

{ config, lib, pkgs, ... }:

{
  hardware.nitrokey.enable = true;
} // (lib.mkIf config.sbruder.gui.enable {
  environment.systemPackages = with pkgs; [
    # both depend on pypemicro, which is not needed, but nixpkgs requires it
    # (even though it could have been optional: https://github.com/NixOS/nixpkgs/pull/183099#discussion_r933226708)
    #nitrokey-app2
    #pynitrokey
  ];
})
